Skip to main content
GET
Get statement details
Retrieve details for a specific statement request by UUID. For completed statements, includes a pre-signed download URL.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Path Parameters

statement_id
string
required

UUID of the statement request

Query Parameters

client_id
string
required

The ID of the client

Response

Returns the statement request details

Statement request details with download URL for completed statements

uuid
string
required

Unique identifier for the statement request

Example:

"86f62d50-baa2-38dd-f61c-0eacc34ead50"

statement_type
enum<string>
required

Type of statement

Available options:
accounts,
trades,
mt940,
incoming_funds
Example:

"accounts"

file_format
enum<string>
required

Format of the statement file

Available options:
pdf,
csv,
xls,
mt940,
coda
Example:

"pdf"

status
integer
required

Status code (0=Pending, 1=Running, 2=Completed, 3=Failed)

Example:

2

status_display
string
required

Human-readable status

Example:

"Completed"

start_datetime
string<date-time>
required

Start date/time for the statement period

Example:

"2026-01-01T00:00:00"

end_datetime
string<date-time>
required

End date/time for the statement period

Example:

"2026-03-31T23:59:59.999999"

created_at
string<date-time>
required

When the request was created

Example:

"2026-04-07T21:18:49.061735"

completed_at
string<date-time> | null

When the statement was completed (null if not yet complete)

Example:

"2026-04-07T21:19:00.123456"

file_name
string | null

Name of the generated file (null if not yet complete)

Example:

"statement_2026-01-01_2026-03-31.pdf"

download_url
string | null

Pre-signed S3 URL for downloading the statement (null if not yet complete, expires after 15 minutes)

Example:

"https://s3.amazonaws.com/bucket/file.pdf?X-Amz-Signature=abc123"

error_message
string | null

Error message if the request failed

Example:

null